Bug 203933 - Config Admins are allowed to see local config channels for systems they don't administer.
Summary: Config Admins are allowed to see local config channels for systems they don't...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site   
(Show other bugs)
Version: rhn420
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Grant Gainey
QA Contact: Preethi Thomas
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rhn500h-config-mgmt
TreeView+ depends on / blocked
 
Reported: 2006-08-24 16:21 UTC by Ken Ganong
Modified: 2007-04-18 17:48 UTC (History)
1 user (show)

Fixed In Version: rhn500h
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-13 03:38:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ken Ganong 2006-08-24 16:21:24 UTC
In rhn_config_channel.get_user_chan_access, a config admin is given access to
any row in rhnConfigChannel that is part of his/her org.
Note: bug #201181 touches this same stored procedure.

Expected: Config Admins have access to all global config channels
(rhnConfigChannelType label = 'normal'), but only have access to local config
channels for which they have permissions to the associated server.

Comment 1 Grant Gainey 2006-11-15 15:43:44 UTC
Now with whiteners, brighteners, *and* more ON_DEV-ness!

Comment 2 Grant Gainey 2006-12-04 22:05:28 UTC
ON_QA, here we come!

Comment 3 Preethi Thomas 2007-01-10 19:32:32 UTC
Cannot verify this, as the Local config channel list is missing.

Comment 4 Grant Gainey 2007-01-18 21:10:17 UTC
See comments in BZ 147423 - local-channel-list has been removed.  This can be
tested by checking to see if cfg-admins can get access to -systems- that they
aren't supposed to be able to acess

Comment 5 Preethi Thomas 2007-01-19 13:56:55 UTC
verified. rhn500h. qapush#5

Comment 6 Preethi Thomas 2007-03-07 17:32:21 UTC
verified in stage.

Comment 7 Brandon Perkins 2007-03-13 03:38:06 UTC
Closed in the rhn500h Release.


Note You need to log in before you can comment on or make changes to this bug.